using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Drawing;
using System.Data;
using System.Text;
using System.Windows.Forms;

namespace SmartRename.UI
{
    public partial class Replacements : UserControl
    {
        public Replacements()
        {
            InitializeComponent();
            if (Program.ReplacementContainer != null && Program.ReplacementContainer.Replacements != null)
            {
                this.dataGridView1.DataSource = Program.ReplacementContainer.Replacements;
                if (this.dataGridView1.Columns.Contains("HelpText"))
                {
                    this.dataGridView1.Columns["HelpText"].AutoSizeMode = DataGridViewAutoSizeColumnMode.Fill;
                }
            }
        }
    }
}
